Skip to content
Start here

Get latest Internet traffic anomalies

radar.traffic_anomalies.get(TrafficAnomalyGetParams**kwargs) -> TrafficAnomalyGetResponse
GET/radar/traffic_anomalies

Retrieves the latest Internet traffic anomalies, which are signals that might indicate an outage. These alerts are automatically detected by Radar and manually verified by our team.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
asn: Optional[int]

Filters results by Autonomous System. Specify a single Autonomous System Number (ASN) as integer.

date_end: Optional[Union[str, datetime]]

End of the date range (inclusive).

formatdate-time
date_range: Optional[str]

Filters results by date range.

date_start: Optional[Union[str, datetime]]

Start of the date range (inclusive).

formatdate-time
format: Optional[Literal["JSON", "CSV"]]

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit: Optional[int]

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
location: Optional[str]

Filters results by location. Specify an alpha-2 location code.

maxLength2
minLength2
offset: Optional[int]

Skips the specified number of objects before fetching the results.

minimum0
origin: Optional[str]

Filters results by origin.

maxLength100
status: Optional[Literal["VERIFIED", "UNVERIFIED"]]
One of the following:
"VERIFIED"
"UNVERIFIED"
type: Optional[List[Literal["LOCATION", "AS", "ORIGIN"]]]

Filters results by entity type (LOCATION, AS, or ORIGIN).

One of the following:
"LOCATION"
"AS"
"ORIGIN"
ReturnsExpand Collapse
class TrafficAnomalyGetResponse:
traffic_anomalies: List[TrafficAnomaly]
start_date: str
status: str
type: str
uuid: str
asn_details: Optional[TrafficAnomalyASNDetails]
asn: str
name: str
locations: Optional[TrafficAnomalyASNDetailsLocations]
code: str
name: str
end_date: Optional[datetime]
formatdate-time
location_details: Optional[TrafficAnomalyLocationDetails]
code: str
name: str
origin_details: Optional[TrafficAnomalyOriginDetails]
name: str
origin: str
visible_in_data_sources: Optional[List[str]]

Get latest Internet traffic anomalies

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
traffic_anomaly = client.radar.traffic_anomalies.get()
print(traffic_anomaly.traffic_anomalies)
{
  "result": {
    "trafficAnomalies": [
      {
        "startDate": "2023-08-02T23:15:00Z",
        "status": "UNVERIFIED",
        "type": "LOCATION",
        "uuid": "55a57f33-8bc0-4984-b4df-fdaff72df39d",
        "asnDetails": {
          "asn": "189",
          "name": "LUMEN-LEGACY-L3-PARTITION",
          "locations": {
            "code": "US",
            "name": "United States"
          }
        },
        "endDate": "2019-12-27T18:11:19.117Z",
        "locationDetails": {
          "code": "US",
          "name": "United States"
        },
        "originDetails": {
          "name": "us-east-1 Amazon Web Services",
          "origin": "amazon-us-east-1"
        },
        "visibleInDataSources": [
          "string"
        ]
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "trafficAnomalies": [
      {
        "startDate": "2023-08-02T23:15:00Z",
        "status": "UNVERIFIED",
        "type": "LOCATION",
        "uuid": "55a57f33-8bc0-4984-b4df-fdaff72df39d",
        "asnDetails": {
          "asn": "189",
          "name": "LUMEN-LEGACY-L3-PARTITION",
          "locations": {
            "code": "US",
            "name": "United States"
          }
        },
        "endDate": "2019-12-27T18:11:19.117Z",
        "locationDetails": {
          "code": "US",
          "name": "United States"
        },
        "originDetails": {
          "name": "us-east-1 Amazon Web Services",
          "origin": "amazon-us-east-1"
        },
        "visibleInDataSources": [
          "string"
        ]
      }
    ]
  },
  "success": true
}